rho = 1;
Kp = 10;
Kv1 = 10;
G = 10;
g = 9.81;
A1 = 10;
A2 = 10;
Kv2 = 10;

u1 = 1;
u1_start = 3;
u1_initial = 0;
u1_final = 2;
u2 = 2;

L1_u = 10;
L2_u = 8;
L1_d = 0;
L2_d = 0;
L1_init = 5;
L2_init = 0;

sim('exercise_3c_model');
subplot(2,1,1);
plot(ScopeData_h1(:,1),ScopeData_h1(:,2))
title('h1')
hold on
subplot(2,1,2)
plot(ScopeData_h2(:,1),ScopeData_h2(:,2))
title('h2')

% control calculation
h1 = (Kp*u1/Kv1)^2*G/(rho*g);
h2 = (Kv1/(Kv2*u2))^2*sqrt(rho*g*h1/G)*G/(rho*g);
h1_simulated = ScopeData_h1(end,2);
h2_simulated = ScopeData_h2(end,2);
if (abs(h1 - h1_simulated) < 0.0001) & abs(h2-h2_simulated) < 0.0001
    disp('Results are ok')
end

